NX Open C++ Reference Guide
|
Represents a collection of smart xforms. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Xform * | CreateExtractXform (NXOpen::NXObject *object, NXOpen::SmartObject::UpdateOption updateOption, bool forceXformCreation, NXOpen::NXObject **proto) |
Creates a extract Xform based on object. | |
NXOpen::Xform * | CreateXform (const NXOpen::Point3d &origin, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform without parameters. | |
NXOpen::Xform * | CreateXform (const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &orientation, NXOpen::SmartObject::UpdateOption update, double scale) |
Creates an Xform. | |
NXOpen::Xform * | CreateXform (NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform that based off the model space coordinate system. | |
NXOpen::Xform * | CreateXform (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Point *point3, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Create a Xform based on three points. | |
NXOpen::Xform * | CreateXform (NXOpen::DisplayableObject *plane1, NXOpen::DisplayableObject *plane2, NXOpen::DisplayableObject *plane3, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform by three planes. | |
NXOpen::Xform * | CreateXform (NXOpen::CoordinateSystem *csys, NXOpen::Point *point0, NXOpen::Point *point1, NXOpen::Scalar *rotationScalarX, NXOpen::Scalar *rotationScalarY, NXOpen::Scalar *rotationScalarZ, int rotationOption, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform by picking up a point from an existing coordinate system. | |
NXOpen::Xform * | CreateXform (NXOpen::CoordinateSystem *csys, NXOpen::Offset *point0, NXOpen::Offset *point1, NXOpen::Scalar *rotationScalarX, NXOpen::Scalar *rotationScalarY, NXOpen::Scalar *rotationScalarZ, int rotationOption, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform by offsetting an existing coordinate system through a translation and a rotation. | |
NXOpen::Xform * | CreateXform (NXOpen::Point *origin, NXOpen::Direction *xDirection, NXOpen::Direction *yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform based on a point and two vectors. | |
NXOpen::Xform * | CreateXform (NXOpen::Direction *xDirection, NXOpen::Direction *yDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform based on two vectors. | |
NXOpen::Xform * | CreateXform (NXOpen::DisplayableObject *plane, NXOpen::Direction *axis, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates a Xform based on a plane and a vector. | |
NXOpen::Xform * | CreateXform (NXOpen::Point *xPoint, NXOpen::Axis *zAxis, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform using a Z axis and X point The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors. | |
NXOpen::Xform * | CreateXform (NXOpen::Point *point, NXOpen::Point *helperPoint, NXOpen::ICurve *curve, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform through a point and perpendicular to a curve or edge. | |
NXOpen::Xform * | CreateXform (NXOpen::Assemblies::Component *workOcc, NXOpen::Assemblies::Component *contextObject, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Xform in the context of given Assemblies::Component . | |
NXOpen::Xform * | CreateXform (NXOpen::NXObject *object, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Xform from the Xform of a a selected curve, plane, or drafting object. | |
NXOpen::Xform * | CreateXform (NXOpen::NXObject *object, NXOpen::Assemblies::Explosion *explosion, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform based on an object and an explosion. | |
NXOpen::Xform * | CreateXform (NXOpen::Assemblies::Explosion *explosion, NXOpen::Assemblies::Component *sourceComponent, NXOpen::Assemblies::Component *destComponent, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform based on the delta difference between the source and destination components in the explosion. | |
NXOpen::Xform * | CreateXform (NXOpen::Point *origin, NXOpen::XYZAxis axis, NXOpen::Direction *direction, NXOpen::Scalar *scale, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform based on origin and a direction. | |
NXOpen::Xform * | CreateXformAngleAxis (NXOpen::Axis *axis, NXOpen::Expression *angle, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the axis and angle. | |
NXOpen::Xform * | CreateXformAxisVector (NXOpen::Axis *axis, NXOpen::Direction *vector, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on a axis and vector. | |
NXOpen::Xform * | CreateXformByDynamicOffset (NXOpen::CoordinateSystem *csys, const NXOpen::Vector3d &originOffset, const NXOpen::Matrix3x3 &trasformMatrix, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system. | |
NXOpen::Xform * | CreateXformByPlaneXDirPoint (NXOpen::DisplayableObject *plane, NXOpen::Direction *xDirection, NXOpen::Point *point, NXOpen::SmartObject::UpdateOption updateOption, double scale, bool flipXDirection, bool flipZDirection) |
Creates a Xform based on a planar face or datum plane, a X-axis vector direction, and a point. | |
NXOpen::Xform * | CreateXformByPointXDirZDir (NXOpen::Point *origin, NXOpen::Direction *xDirection, NXOpen::Direction *zDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates an Xform based on a point and two vectors. | |
NXOpen::Xform * | CreateXformByPointYDirZDir (NXOpen::Point *origin, NXOpen::Direction *yDirection, NXOpen::Direction *zDirection, NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates an Xform based on a point and two vectors. | |
NXOpen::Xform * | CreateXformCsysToCsys (NXOpen::CoordinateSystem *from, NXOpen::CoordinateSystem *to, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on two csys. | |
NXOpen::Xform * | CreateXformDeltaXyz (const std::vector< NXOpen::Scalar * > &delta, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on delta x, y, and z values where the x, y, and z directions are relative to a reference coordinate system. | |
NXOpen::Xform * | CreateXformDistanceAngle (NXOpen::Expression *distance, NXOpen::Expression *angle, NXOpen::Axis *dirr, NXOpen::Direction *angulardirr, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the distance and angle on object. | |
NXOpen::Xform * | CreateXformDistanceBetweenPoints (NXOpen::Point *origin, NXOpen::Point *measure, NXOpen::Direction *vector, NXOpen::Expression *distance, NXOpen::Expression *originDistance, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the direction and points. | |
NXOpen::Xform * | CreateXformDistanceDirection (NXOpen::Direction *direction, NXOpen::Expression *distance, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the direction and distance. | |
NXOpen::Xform * | CreateXformDistanceRadial (NXOpen::Axis *axis, NXOpen::Point *point, NXOpen::Expression *distance, NXOpen::Expression *originDistance, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the axis and points. | |
NXOpen::Xform * | CreateXformDynamic (const std::vector< NXOpen::Scalar * > &org, const std::vector< NXOpen::Scalar * > &mtx, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the manip. | |
NXOpen::Xform * | CreateXformFromCurrentView (NXOpen::SmartObject::UpdateOption updateOption, double scale) |
Creates an XForm using the current viewing coordinate system. | |
NXOpen::Xform * | CreateXformRotateThreePoints (NXOpen::Axis *vector, NXOpen::Point *start, NXOpen::Point *end, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on the three points and vector. | |
NXOpen::Xform * | CreateXformTwoPoints (NXOpen::Point *from, NXOpen::Point *to, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Motion Xform based on two points. | |
NXOpen::Xform * | CreateXformWithReverseNormal (NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Xform based on the delta difference between the source and destination components in the explosion. | |
NXOpen::Xform * | CreateXformWithView (NXOpen::View *view, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Xform with an existing view. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of smart xforms.
To obtain an instance of this class, refer to BasePart
Created in NX3.0.0.
iterator NXOpen::XformCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Xform* NXOpen::XformCollection::CreateExtractXform | ( | NXOpen::NXObject * | object, |
NXOpen::SmartObject::UpdateOption | updateOption, | ||
bool | forceXformCreation, | ||
NXOpen::NXObject ** | proto | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | const NXOpen::Point3d & | origin, |
const NXOpen::Vector3d & | xDirection, | ||
const NXOpen::Vector3d & | yDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform without parameters.
@return
Created in NX3.0.0.
License requirements : None
origin | Origin point |
xDirection | X direction |
yDirection | Y direction |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | const NXOpen::Point3d & | origin, |
const NXOpen::Matrix3x3 & | orientation, | ||
NXOpen::SmartObject::UpdateOption | update, | ||
double | scale | ||
) |
Creates an Xform.
@return
Created in NX5.0.1.
License requirements : None
origin | Origin point |
orientation | Orientation |
update | The update option |
scale | Scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
double | scale | ||
) |
Creates a Xform that based off the model space coordinate system.
The X and Y Axes are the X and Y Axes of the absolute transform. The origin is the origin of the absolute transform.
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2, | ||
NXOpen::Point * | point3, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Create a Xform based on three points.
The origin is the first point, the X-Axis is the vector from the first to the second point, and the Y-Axis is the vector from the first to the third point. @return
Created in NX3.0.0.
License requirements : None
point1 | point1 |
point2 | point2 |
point3 | point3 |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::DisplayableObject * | plane1, |
NXOpen::DisplayableObject * | plane2, | ||
NXOpen::DisplayableObject * | plane3, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform by three planes.
Defines a xform based on the input of three planes. These can be either planar faces or datum planes. The X-Axis is normal of the first plane, the Y-Axis is normal of the second plane, the origin is the intersection of the three plane. The plane can either be a planar Face or a DatumPlane .
plane1 | plane1 |
plane2 | plane2 |
plane3 | plane3 |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::CoordinateSystem * | csys, |
NXOpen::Point * | point0, | ||
NXOpen::Point * | point1, | ||
NXOpen::Scalar * | rotationScalarX, | ||
NXOpen::Scalar * | rotationScalarY, | ||
NXOpen::Scalar * | rotationScalarZ, | ||
int | rotationOption, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform by picking up a point from an existing coordinate system.
@return Xform
Created in NX4.0.0.
License requirements : None
csys | Existing coordinate system |
point0 | Start point |
point1 | End point |
rotationScalarX | Scalar of X rotation |
rotationScalarY | Scalar of Y rotation |
rotationScalarZ | Scalar of Z rotation |
rotationOption | Determine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied. |
updateOption | Update option of smart object |
scale | Xform scalar |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::CoordinateSystem * | csys, |
NXOpen::Offset * | point0, | ||
NXOpen::Offset * | point1, | ||
NXOpen::Scalar * | rotationScalarX, | ||
NXOpen::Scalar * | rotationScalarY, | ||
NXOpen::Scalar * | rotationScalarZ, | ||
int | rotationOption, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform by offsetting an existing coordinate system through a translation and a rotation.
@return Xform
Created in NX4.0.0.
License requirements : None
csys | Existing coordinate system |
point0 | Start point |
point1 | End point |
rotationScalarX | Scalar of X rotation |
rotationScalarY | Scalar of Y rotation |
rotationScalarZ | Scalar of Z rotation |
rotationOption | Determine the sequence of applying rotation and translation. If the value is 0, then a translation is first applied. Otherwise, a roation is first applied. |
updateOption | Update option of smart object |
scale | Xform scalar |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Point * | origin, |
NXOpen::Direction * | xDirection, | ||
NXOpen::Direction * | yDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform based on a point and two vectors.
The X and Y Axes are the vectors.
origin | origin |
xDirection | x direction |
yDirection | y direction |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Direction * | xDirection, |
NXOpen::Direction * | yDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform based on two vectors.
The X and Y Axes are vectors, with the origin being the vector intersection point.
xDirection | x direction |
yDirection | y direction |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::DisplayableObject * | plane, |
NXOpen::Direction * | axis, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates a Xform based on a plane and a vector.
The X-Axis is the plane normal direction, the Y-Axis is the direction of the projection of the vector onto the plane, and the origin is the intersection of the plane and the vector. The plane can either be a planar Face or a DatumPlane .
plane | plane |
axis | axis |
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Point * | xPoint, |
NXOpen::Axis * | zAxis, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates an Xform using a Z axis and X point
The X-Axis is the vector from the Z-Axis vector to the point; the Y-Axis is computed from the X and Z axis; the origin is the intersection of the three vectors.
xPoint | x point |
zAxis | z axis |
updateOption | update option |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Point * | point, |
NXOpen::Point * | helperPoint, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates an Xform through a point and perpendicular to a curve or edge.
The Z-axis is tangent to the curve or edge, and the X-Y plane goes through the point. When you select a linear curve, the X-Axis is a perpendicular vector from the curve to the point. When you select a non-linear curve, the X-Axis points in an arbitrary orientation and not towards the selected point.
point | The X-Y plane will go through this point |
helperPoint | helper point |
curve | The Z-axis will be tangent to the curve |
updateOption | update option |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Assemblies::Component * | workOcc, |
NXOpen::Assemblies::Component * | contextObject, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Xform in the context of given Assemblies::Component .
@return
Created in NX5.0.0.
License requirements : None
workOcc | work occ |
contextObject | context object |
updateOption | update option |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::NXObject * | object, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Xform from the Xform of a a selected curve, plane, or drafting object.
If the selected curve is non-planar an error will be thrown. If the curve is arc, ellipse, hyperbola, parabola, or circle, the origin will be at the respective curve's center. If the object is planar face or a datum plane, the Z-axis is the normal vector of the plane.
object | Object from which XForm creates |
updateOption | Update option of smart object |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::NXObject * | object, |
NXOpen::Assemblies::Explosion * | explosion, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Assemblies::Explosion * | explosion, |
NXOpen::Assemblies::Component * | sourceComponent, | ||
NXOpen::Assemblies::Component * | destComponent, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates an Xform based on the delta difference between the source and destination components in the explosion.
@return Xform
Created in NX4.0.0.
License requirements : None
explosion | Explosion |
sourceComponent | Source component |
destComponent | Destination component |
updateOption | Update option of smart object |
NXOpen::Xform* NXOpen::XformCollection::CreateXform | ( | NXOpen::Point * | origin, |
NXOpen::XYZAxis | axis, | ||
NXOpen::Direction * | direction, | ||
NXOpen::Scalar * | scale, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates an Xform based on origin and a direction.
The direction passed is taken as the X, Y or Z axis based on the @link XYZAxis XYZAxis@endlink passed. The other two directions are evaluated from the cross product to a non-parallel global axis (global X, Y or Z) @return
Created in NX5.0.0.
License requirements : None
NXOpen::Xform* NXOpen::XformCollection::CreateXformAngleAxis | ( | NXOpen::Axis * | axis, |
NXOpen::Expression * | angle, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformAxisVector | ( | NXOpen::Axis * | axis, |
NXOpen::Direction * | vector, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformByDynamicOffset | ( | NXOpen::CoordinateSystem * | csys, |
const NXOpen::Vector3d & | originOffset, | ||
const NXOpen::Matrix3x3 & | trasformMatrix, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
Creates an Xform whose location and orientation are determined by applying a specified origin offset and transformation matrix to an existing coordinate system.
@return created Xform
Created in NX6.0.0.
License requirements : None
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPlaneXDirPoint | ( | NXOpen::DisplayableObject * | plane, |
NXOpen::Direction * | xDirection, | ||
NXOpen::Point * | point, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale, | ||
bool | flipXDirection, | ||
bool | flipZDirection | ||
) |
Creates a Xform based on a planar face or datum plane, a X-axis vector direction, and a point.
@return created Xform
Created in NX7.5.0.
License requirements : None
plane | planar face or datum plane |
xDirection | x vector direction |
point | point |
updateOption | Update option of smart object |
scale | Scale factor |
flipXDirection | flag to flip the X direction of CSYS |
flipZDirection | flag to flip the Z direction of CSYS |
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPointXDirZDir | ( | NXOpen::Point * | origin, |
NXOpen::Direction * | xDirection, | ||
NXOpen::Direction * | zDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformByPointYDirZDir | ( | NXOpen::Point * | origin, |
NXOpen::Direction * | yDirection, | ||
NXOpen::Direction * | zDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | scale | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformCsysToCsys | ( | NXOpen::CoordinateSystem * | from, |
NXOpen::CoordinateSystem * | to, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDeltaXyz | ( | const std::vector< NXOpen::Scalar * > & | delta, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceAngle | ( | NXOpen::Expression * | distance, |
NXOpen::Expression * | angle, | ||
NXOpen::Axis * | dirr, | ||
NXOpen::Direction * | angulardirr, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceBetweenPoints | ( | NXOpen::Point * | origin, |
NXOpen::Point * | measure, | ||
NXOpen::Direction * | vector, | ||
NXOpen::Expression * | distance, | ||
NXOpen::Expression * | originDistance, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Motion Xform based on the direction and points.
@return Xform
Created in NX6.0.0.
License requirements : None
origin | origin point of DistanceBetweenPtsParms xform |
measure | measure point of DistanceBetweenPtsParms xform |
vector | direction of DistanceBetweenPtsParms xform |
distance | distance of DistanceBetweenPtsParms xform |
originDistance | distance between origin point and object to be moved |
updateOption | Update option of smart object |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceDirection | ( | NXOpen::Direction * | direction, |
NXOpen::Expression * | distance, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDistanceRadial | ( | NXOpen::Axis * | axis, |
NXOpen::Point * | point, | ||
NXOpen::Expression * | distance, | ||
NXOpen::Expression * | originDistance, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Motion Xform based on the axis and points.
@return Xform
Created in NX6.0.0.
License requirements : None
axis | axis of DistanceRadialParms xform |
point | measure point of DistanceRadialParms xfrom |
distance | distance of DistanceRadialParms xfrom |
originDistance | distance between axis point and face |
updateOption | Update option of smart object |
NXOpen::Xform* NXOpen::XformCollection::CreateXformDynamic | ( | const std::vector< NXOpen::Scalar * > & | org, |
const std::vector< NXOpen::Scalar * > & | mtx, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformFromCurrentView | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
double | scale | ||
) |
Creates an XForm using the current viewing coordinate system.
The X-Axis is parallel to the bottom of the view, the Y-Axis is parallel to the side of the view, and the origin is the origin of the view (the middle of the graphics screen). The coordinate system uses the right-hand rule so the Z-axis points out of the screen. Since the current viewing coordinate system does not exist if the NX session is running in batch mode, the absolute coordinate system will be returned instead.
updateOption | update option |
scale | scale |
NXOpen::Xform* NXOpen::XformCollection::CreateXformRotateThreePoints | ( | NXOpen::Axis * | vector, |
NXOpen::Point * | start, | ||
NXOpen::Point * | end, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Motion Xform based on the three points and vector.
@return Xform
Created in NX6.0.0.
License requirements : None
vector | axis of RotateThreePtsParms xform |
start | start point of RotateThreePtsParms xform |
end | end point of RotateThreePtsParms xform |
updateOption | Update option of smart object |
NXOpen::Xform* NXOpen::XformCollection::CreateXformTwoPoints | ( | NXOpen::Point * | from, |
NXOpen::Point * | to, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformWithReverseNormal | ( | NXOpen::Xform * | xform, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Xform* NXOpen::XformCollection::CreateXformWithView | ( | NXOpen::View * | view, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
iterator NXOpen::XformCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
tag_t NXOpen::XformCollection::Tag | ( | ) | const |
Returns the tag of this object.